#Function that calculates slope of the saturation vapour pressure curve
# [kPA* C^-1]
# AT - air temperature [C]

Delta <- function(AT){
  
 delta <- (4098*(0.6108 * exp((17.27*AT)/(AT+237.3))))/(AT+237.3)^2

return(delta)

 
}