t_funcODE <- function(t, y, parms) {
  
  Tambi      <- input1(t)
  q_sol_seB  <- input2(t)
  Rl_downB   <- input3(t)
  q_sol_vgsB <- input4(t)
  deltaB     <- input5(t)
  esB        <- input6(t)
  eaB        <- input7(t)
  r_aB       <- input8(t)

  
  ######
  
  list(c(
    
    (
      (1/(cp_vgs * rho_vgs * d_vgs)) * (q_sol_vgsB
                                       
                                        
                                       - ((1-FF) * emis_lw_VGS * (sigma * y[1]^4 - Rl_downB))                                #(q_IR_VGS_amb)
                                         
                                         - ((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+
                                                                     (1/(1-FF))+((1-emis_lw_se)/emis_lw_se)))                # q_IR_VGS_se 
                                       
                                       - 
                                         
                                         (LAI *((cp_air*rho_a)/r_aB)*(y[1]- Tambi))                                          #(q_conv_VGS_amb)
                                       
                                       -  
                                         
                                         ((0.37* (((9.81 * (1/y[2]) * (y[3]-y[2]) * h_wall )/kin_visc_a) +                 # q_conv_vgs_ag
                                                    6.416 * ((u_a *d_ag*2)/kin_visc_a)^2)^(0.25)) *                          #(Nusselt number)
                                            (lambda_air/(d_ag *2)) * (y[1]-y[2]))
                                       
                                       - 
                                       
                                       
                                         
                                        ((deltaB*(q_sol_vgsB - ((1-FF) * emis_lw_VGS * (sigma * y[1]^4 - Rl_downB)) -          #latent heat
                                                       (((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+               #latent heat
                                                                                    (1/(1-FF))+((1-emis_lw_se)/emis_lw_se))))) #latent heat
                                          + rho_a*cp_air*((esB-eaB)/r_aB))/                                                    #latent heat
                                              (deltaB+ gamma*(1+(r_s/r_aB))))                                                  #latent heat
                                        
                                       )
      ),
    
    (1/(cp_air * rho_a * d_ag)) *   
      
      ((0.37 * (                                                                       #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
        ((9.81 * (1/(y[2])) * (y[3]-y[2]) * h_wall )/kin_visc_a) +      #Grashof     #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag              
                  6.416 * (                                                            #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
                    (u_a *d_ag*2)/kin_visc_a)                           #Reynolds      #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
        ^2)^(0.25)) *                                                                  #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
         (lambda_air/(d_ag *2))                                                                    #h_conv_vgs_ag      #q_conv_vgs_ag
       * (y[1] - y[2])                                                                                                 #q_conv_vgs_ag
       
       +                                   
         
         (1.31 * (abs(y[3] - y[2]))^(1/3)) * (y[3]-y[2])),                                                            #q_conv_se_ag
    
    
    (1/(cp_wall * rho_w * d/18)) * (q_sol_seB - 
                                      
                                      (FF * emis_lw_se * (sigma * y[3]^4 - Rl_downB))                                 #q_IR_se_amb
                                      
                                      + 
                                    ((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+                          #q_IR_VGS_se
                                                                (1/(1-FF))+((1-emis_lw_se)/emis_lw_se)))
                                      
                                      
                                      -
                                      (1.31 * (abs(y[3] - y[2]))^(1/3)) * (y[3]-y[2])                               #q_conv_se_ag
                                    - 
                                         
                                         (lambda_wall/(d/9)* (y[3]-y[4]))),                                           #q_cond
    
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[3]-y[4]) - (lambda_wall/(d/9) * (y[4]-y[5]))),
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[4]-y[5])  - (lambda_wall/(d/9)*(y[5]-y[6]))) , 
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[5]-y[6])  - (lambda_wall/(d/9)*(y[6]-y[7]))) ,
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[6]-y[7])  - (lambda_wall/(d/9)*(y[7]-y[8]))) ,
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[7]-y[8])  - (lambda_wall/(d/9)*(y[8]-y[9]))) ,
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[8]-y[9])  - (lambda_wall/(d/9)*(y[9]-y[10]))) ,
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[9]-y[10])  - (lambda_wall/(d/9)*(y[10]-y[11]))) ,
    
    (1/(cp_wall * rho_w * d/9)) * (lambda_wall/(d/9) * (y[10]-y[11])  - (lambda_wall/(d/9)*(y[11]-y[12]))),
    
    (1/(cp_wall * rho_w * d/18)) * (lambda_wall/(d/9) * (y[11]-y[12])  - h_conv_si *(y[12]-Tair_iK))
    
  ))
  
  
}
