# ODE B02 - Plattenbau mit Kerndmmung, ohne Auendmmung - without greening


t_funcODE_blank <- function(t, y, parms) {
  
  Tambi      <- input1(t)
  q_sol_seB  <- input2(t)
  Rl_downB   <- input3(t)
  q_sol_vgsB <- input4(t)
  deltaB     <- input5(t)
  esB        <- input6(t)
  eaB        <- input7(t)
  r_aB       <- input8(t)
  Tair_iK    <- input9(t)
  
  ######
 
  list(c(
    
  
    #node3: 
    
    (1/(cp_wall1 * rho_w1 * d1/20)) * (q_sol_seB - 
                                      
                                      (FF * emis_lw_se * (sigma * y[1]^4 - Rl_downB))                                 #q_IR_se_amb
                                    
                                   # + 
                                  #    ((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+                          #q_IR_VGS_se
                                   #                               (1/(1-FF))+((1-emis_lw_se)/emis_lw_se)))
                                    #
                                    
                                    -
                                      (1.31 * (abs(y[1] - Tambi))^(1/3)) * (y[1] - Tambi)                               #q_conv_se_ag
                                    - 
                                      
                                      (lambda_wall1/(d1/4)* (y[1]-y[2]))),                                           #q_cond
    
      #node4:
      (1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/4) * (y[1]-y[2])  - (lambda_wall1/(d1/4)*(y[2]-y[3]))),
      
      #node5:
      (1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/4) * (y[2]-y[3])  - (lambda_wall1/(d1/4)*(y[3]-y[4]))),
      
      #node6:
      (1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/4) * (y[3]-y[4])  - (lambda_wall1/(d1/4)*(y[4]-y[5]))),
      
      #node7: !!!
      ((1/(cp_wall1 * rho_w1 * d1/8)) * (lambda_wall1/(d1/4) * (y[4]-y[5]))  -  (1/(cp_wall2 * rho_w2 * d2/12)) * (lambda_wall2/(d2/6)*(y[5]-y[6]))) , 
      
      #node8:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[5]-y[6])  - (lambda_wall2/(d2/6)*(y[6]-y[7]))),

      #node9:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[6]-y[7])  - (lambda_wall2/(d2/6)*(y[7]-y[8]))),  
      
      #node10:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[7]-y[8])  - (lambda_wall2/(d2/6)*(y[8]-y[9]))),  
      
      #node11:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[8]-y[9])  - (lambda_wall2/(d2/6)*(y[9]-y[10]))),  
      
      #node12:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[9]-y[10])  - (lambda_wall2/(d2/6)*(y[10]-y[11]))),  
      
      #node13: !!!
      ((1/(cp_wall2 * rho_w2 * d2/12)) * (lambda_wall2/(d2/6) * (y[10]-y[11]))  -  (1/(cp_wall3 * rho_w3 * d3/20)) * (lambda_wall3/(d3/10)*(y[11]-y[12]))) , 

          #node14:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[11]-y[12])  - (lambda_wall3/(d3/10)*(y[12]-y[13]))),

      #node15:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[12]-y[13])  - (lambda_wall3/(d3/10)*(y[13]-y[14]))),
      
      #node16:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[13]-y[14])  - (lambda_wall3/(d3/10)*(y[14]-y[15]))),
      
      #node17:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[14]-y[15])  - (lambda_wall3/(d3/10)*(y[15]-y[16]))),
      
      #node18:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[15]-y[16])  - (lambda_wall3/(d3/10)*(y[16]-y[17]))),
      
      #node19:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[16]-y[17])  - (lambda_wall3/(d3/10)*(y[17]-y[18]))),
      
      #node20:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[17]-y[18])  - (lambda_wall3/(d3/10)*(y[18]-y[19]))),
      
      #node21:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[18]-y[19])  - (lambda_wall3/(d3/10)*(y[19]-y[20]))),
      
      #node22:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[19]-y[20])  - (lambda_wall3/(d3/10)*(y[20]-y[21]))),
      
      #node23:
      (1/(cp_wall3 * rho_w3 * d3/20)) * (lambda_wall3/(d3/10) * (y[20]-y[21])  - h_conv_si *(y[21]-Tair_iK))


      )
  )
  
  
}
