# calculate longwave radiation on a vertical plane

'Rl_down_func' <- function(Tair, Tdew, cl_cov ){
  
  #prepare data
  
  emis_sky <- rep(NA, ntime);
  T_sky <- rep(NA, ntime);
  
  
  Rl_down<-vector("numeric",ntime)
  
  
  #set start parameter 
  Rl_down[1]=0

  
   
  for(i in 1:ntime){
    
    emis_sky[i] <- 0.711 + 0.005 * Tdew[i] + 0.73 * (Tdew[i]/100)^2  #Tdew [C]
    
    T_sky[i] <- (Tair[i] + 273.15) * (emis_sky[i] + 0.8 * ( 1 - emis_sky[i])* (cl_cov[i]/8))^(1/4)
    
    
    Rl_down[i] <- sigma * (    (  ((1-cos((beta*pi)/180))/2)  *(Tair[i]+273.15)^4) + 
                                 (( (1+cos((beta*pi)/180))/2) * T_sky[i]^4)   )
    
  }
  
  
  
  
  
  
  #Return variables
  return(Rl_down)
  
}