# ODE B02 - Plattenbau mit Kerndmmung, ohne Auendmmung


t_funcODE <- function(t, y, parms) {
  
  Tambi      <- input1(t)
  q_sol_seB  <- input2(t)
  Rl_downB   <- input3(t)
  q_sol_vgsB <- input4(t)
  deltaB     <- input5(t)
  esB        <- input6(t)
  eaB        <- input7(t)
  r_aB       <- input8(t)
  Tair_iK    <- input9(t)
  
  ######
  
  list(c(
    
    #node1:
    (1/(cp_vgs * rho_vgs * d_vgs)) * (q_sol_vgsB
                                      
                                      
                                      - ((1-FF) * emis_lw_VGS * (sigma * y[1]^4 - Rl_downB))                                #(q_IR_VGS_amb)
                                      
                                      - ((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+
                                                                    (1/(1-FF))+((1-emis_lw_se)/emis_lw_se)))                # q_IR_VGS_se 
                                      
                                      - 
                                        
                                        (LAI *((cp_air*rho_a)/r_aB)*(y[1]- Tambi))                                          #(q_conv_VGS_amb)
                                      
                                      -  
                                        
                                        ((0.37* (((9.81 * (1/y[2]) * (y[3]-y[2]) * (2*d_ag)^3 )/kin_visc_a^2) +                 # q_conv_vgs_ag
                                                   6.416 * ((u_a * 2 * d_ag)/kin_visc_a)^2)^(0.25)) *                          #(Nusselt number)
                                           (lambda_air/(d_ag *2)) * (y[1]-y[2]))
                                      
                                      - 
                                        
                                        
                                        
                                        ET_fac * ((deltaB*(q_sol_vgsB - ((1-FF) * emis_lw_VGS * (sigma * y[1]^4 - Rl_downB)) -          #latent heat
                                                    (((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+               #latent heat
                                                                                 (1/(1-FF))+((1-emis_lw_se)/emis_lw_se))))) #latent heat
                                          + rho_a*cp_air*((esB-eaB)/r_aB))/                                                    #latent heat
                                           (deltaB+ gamma*(1+(r_s/r_aB))))                                                  #latent heat
                                      
    )
    ,
    
    
    #node2:
    
    (1/(cp_air * rho_a * d_ag)) *   
      
      ((0.37 * (                                                                       #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
        ((9.81 * (1/(y[2])) * (y[3]-y[2]) * (2 * d_ag)^3 )/kin_visc_a^2) +      #Grashof     #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag              
          6.416 * (                                                            #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
            (u_a * 2 * d_ag)/kin_visc_a)                           #Reynolds      #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
        ^2)^(0.25)) *                                                                  #Nusselt    #h_conv_vgs_ag      #q_conv_vgs_ag
         (lambda_air/(d_ag *2))                                                                    #h_conv_vgs_ag      #q_conv_vgs_ag
       * (y[1] - y[2])                                                                                                 #q_conv_vgs_ag
       
       +                                    
      
      (1.31 * (abs(y[3] - y[2]))^(1/3)) * (y[3]-y[2])),  #q_conv_se_ag
    
    
    #node3: 
    
    (1/(cp_wall1 * rho_w1 * d1/20)) * (q_sol_seB - 
                                      
                                      (FF * emis_lw_se * (sigma * y[3]^4 - Rl_downB))                                 #q_IR_se_amb
                                    
                                    + 
                                      ((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+                          #q_IR_VGS_se
                                                                  (1/(1-FF))+((1-emis_lw_se)/emis_lw_se)))
                                    
                                    
                                    -
                                      (1.31 * (abs(y[3] - y[2]))^(1/3)) * (y[3]-y[2])                               #q_conv_se_ag
                                    - 
                                      
                                      (lambda_wall1/(d1/4)* (y[3]-y[4]))),                                           #q_cond
    
      #node4:
      (1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/4) * (y[3]-y[4])  - (lambda_wall1/(d1/4)*(y[4]-y[5]))),
      
      #node5:
      (1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/4) * (y[4]-y[5])  - (lambda_wall1/(d1/4)*(y[5]-y[6]))),
      
      #node6:
      (1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/4) * (y[5]-y[6])  - (lambda_wall1/(d1/4)*(y[6]-y[7]))),
      
      #node7: !!!
      ((1/(cp_wall1 * rho_w1 * d1/8)) * (lambda_wall1/(d1/4) * (y[6]-y[7]))  -  (1/(cp_wall2 * rho_w2 * d2/12)) * (lambda_wall2/(d2/6)*(y[7]-y[8]))) , 
      
      #node8:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[7]-y[8])  - (lambda_wall2/(d2/6)*(y[8]-y[9]))),

      #node9:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[8]-y[9])  - (lambda_wall2/(d2/6)*(y[9]-y[10]))),  
      
      #node10:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[9]-y[10])  - (lambda_wall2/(d2/6)*(y[10]-y[11]))),  
      
      #node11:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[10]-y[11])  - (lambda_wall2/(d2/6)*(y[11]-y[12]))),  
      
      #node12:
      (1/(cp_wall2 * rho_w2 * d2/6)) * (lambda_wall2/(d2/6) * (y[11]-y[12])  - (lambda_wall2/(d2/6)*(y[12]-y[13]))),  
      
      #node13: !!!
      ((1/(cp_wall2 * rho_w2 * d2/12)) * (lambda_wall2/(d2/6) * (y[12]-y[13]))  -  (1/(cp_wall3 * rho_w3 * d3/20)) * (lambda_wall3/(d3/10)*(y[13]-y[14]))) , 

          #node14:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[13]-y[14])  - (lambda_wall3/(d3/10)*(y[14]-y[15]))),

      #node15:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[14]-y[15])  - (lambda_wall3/(d3/10)*(y[15]-y[16]))),
      
      #node16:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[15]-y[16])  - (lambda_wall3/(d3/10)*(y[16]-y[17]))),
      
      #node17:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[16]-y[17])  - (lambda_wall3/(d3/10)*(y[17]-y[18]))),
      
      #node18:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[17]-y[18])  - (lambda_wall3/(d3/10)*(y[18]-y[19]))),
      
      #node19:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[18]-y[19])  - (lambda_wall3/(d3/10)*(y[19]-y[20]))),
      
      #node20:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[19]-y[20])  - (lambda_wall3/(d3/10)*(y[20]-y[21]))),
      
      #node21:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[20]-y[21])  - (lambda_wall3/(d3/10)*(y[21]-y[22]))),
      
      #node22:
      (1/(cp_wall3 * rho_w3 * d3/10)) * (lambda_wall3/(d3/10) * (y[21]-y[22])  - (lambda_wall3/(d3/10)*(y[22]-y[23]))),
      
      #node23:
      (1/(cp_wall3 * rho_w3 * d3/20)) * (lambda_wall3/(d3/10) * (y[22]-y[23])  - h_conv_si *(y[23]-Tair_iK))


      )
  )
  
  
}
