# B05 - Wasserbauhalle - without greening


t_funcODE_blank <- function(t, y, parms) {
  
  Tambi      <- input1(t)
  q_sol_seB  <- input2(t)
  Rl_downB   <- input3(t)
  q_sol_vgsB <- input4(t)
  deltaB     <- input5(t)
  esB        <- input6(t)
  eaB        <- input7(t)
  r_aB       <- input8(t)
  Tair_iK    <- input9(t)
  
  ######
  
  list(c(
    
    
    #node3: 
    
    (1/(cp_wall1 * rho_w1 * d1/4)) * (q_sol_seB - 
                                      
                                      (FF * emis_lw_se * (sigma * y[1]^4 - Rl_downB))                                 #q_IR_se_amb
                                    
                                    #+ 
                                    #  ((sigma*(y[1]^4-y[3]^4))/(((1-emis_lw_VGS)/emis_lw_VGS)+                          #q_IR_VGS_se
                                    #                              (1/(1-FF))+((1-emis_lw_se)/emis_lw_se)))
                                  #  
                                    
                                    -
                                      (1.31 * (abs(y[1] - Tambi))^(1/3)) * (y[1]-Tambi)                               #q_conv_se_ag
                                    - 
                                      
                                      (lambda_wall1/(d1/2)* (y[1]-y[2]))),                                           #q_cond
    #node4:
    
    (1/(cp_wall1 * rho_w1 * d1/2)) * (lambda_wall1/(d1/2) * (y[1]-y[2]) - (lambda_wall1/(d1/2) * (y[2]-y[3]))),
    #node5:
#!!!!!!!!!!!!!!!!    
    ((1/(cp_wall1 * rho_w1 * d1/4)) * (lambda_wall1/(d1/2) * (y[2]-y[3]))  -  (1/(cp_wall2 * rho_w2 * d2/10)) * (lambda_wall2/(d2/5)*(y[3]-y[4]))) , 
    #node6:
    
    (1/(cp_wall2 * rho_w2 * d2/5)) * (lambda_wall2/(d2/5) * (y[3]-y[4])  - (lambda_wall2/(d2/5)*(y[4]-y[5]))) ,
    #node7:
    
    (1/(cp_wall2 * rho_w2 * d2/5)) * (lambda_wall2/(d2/5) * (y[4]-y[5])  - (lambda_wall2/(d2/5)*(y[5]-y[6]))) ,
    #node8:
    
    (1/(cp_wall2 * rho_w2 * d2/5)) * (lambda_wall2/(d2/5) * (y[5]-y[6])  - (lambda_wall2/(d2/5)*(y[6]-y[7]))) ,
    #node9:
    
    (1/(cp_wall2 * rho_w2 * d2/5)) * (lambda_wall2/(d2/5) * (y[6]-y[7])  - (lambda_wall2/(d2/5)*(y[7]-y[8]))) ,
    #node10:
 #!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!   
    (1/(cp_wall2 * rho_w2 * d2/10)) * (lambda_wall2/(d2/5) * (y[7]-y[8]))   -  (1/(cp_wall3 * rho_w3 * d3/44)) * (lambda_wall3/(d3/22)*(y[8]-y[9])) ,
    #node11:
    
    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[8]-y[9])  - (lambda_wall3/(d3/22)*(y[9]-y[10]))),
    #node12:

    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[9]-y[10])  - (lambda_wall3/(d3/22)*(y[10]-y[11]))),
    #node13:

    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[10]-y[11])  - (lambda_wall3/(d3/22)*(y[11]-y[12]))),
    #node14:

    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[11]-y[12])  - (lambda_wall3/(d3/22)*(y[12]-y[13]))) ,
    #node15:
    
    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[12]-y[13])  - (lambda_wall3/(d3/22)*(y[13]-y[14]))) ,
    #node16:
    
    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[13]-y[14])  - (lambda_wall3/(d3/22)*(y[14]-y[15]))) ,
    #node17:
    
    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[14]-y[15])  - (lambda_wall3/(d3/22)*(y[15]-y[16]))) ,
    #node18:
    
    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[15]-y[16])  - (lambda_wall3/(d3/22)*(y[16]-y[17]))) ,
    #node19:
    
    (1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[16]-y[17])  - (lambda_wall3/(d3/22)*(y[17]-y[18]))),
    #node20:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[17]-y[18])  - (lambda_wall3/(d3/22)*(y[18]-y[19])))),
    
    #node21:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[18]-y[19])  - (lambda_wall3/(d3/22)*(y[19]-y[20])))),
    
    #node22:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[19]-y[20])  - (lambda_wall3/(d3/22)*(y[20]-y[21])))),
    
    #node23:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[20]-y[21])  - (lambda_wall3/(d3/22)*(y[21]-y[22])))),
    
    #node24:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[21]-y[22])  - (lambda_wall3/(d3/22)*(y[22]-y[23])))),
    
    #node25:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[22]-y[23])  - (lambda_wall3/(d3/22)*(y[23]-y[24])))),
    
    #node26:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[23]-y[24])  - (lambda_wall3/(d3/22)*(y[24]-y[25])))),
    
    #node27:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[24]-y[25])  - (lambda_wall3/(d3/22)*(y[25]-y[26])))),
    
    #node28:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[25]-y[26])  - (lambda_wall3/(d3/22)*(y[26]-y[27])))),
    
    #node29:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[26]-y[27])  - (lambda_wall3/(d3/22)*(y[27]-y[28])))),
    
    #node30:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[27]-y[28])  - (lambda_wall3/(d3/22)*(y[28]-y[29])))),
    
    #node31:
    
    ((1/(cp_wall3 * rho_w3 * d3/22)) * (lambda_wall3/(d3/22) * (y[28]-y[29])  - (lambda_wall3/(d3/22)*(y[29]-y[30])))),
    
    #node32:
    (1/(cp_wall3 * rho_w3 * d3/44)) * (lambda_wall3/(d3/22) * (y[29]-y[30])  - h_conv_si *(y[30]-Tair_iK))

      )
  )
  
  
}
